package com.example.zdrojaknotifier;

import java.text.SimpleDateFormat;
import java.util.Date;

import android.content.Context;
import android.database.Cursor;
import android.support.v4.widget.CursorAdapter;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

public class ArticlesAdapter extends CursorAdapter {
	

	public ArticlesAdapter(Context context, Cursor c, int flags) {
		super(context, c, flags);
	}

	@Override
	public View newView(Context ctx, Cursor c, ViewGroup root) {
		LayoutInflater inflater = LayoutInflater.from(ctx);
		View view = inflater.inflate(R.layout.article, root, false);
		bindView(view, ctx, c);
		return view;
	}

	@Override
	public void bindView(View oldView, Context ctx, Cursor c) {
		int titleIndex = c.getColumnIndex(ZdrojakContract.TITLE);
		int descriptionIndex = c.getColumnIndex(ZdrojakContract.DESCRIPTION);
		int authorIndex = c.getColumnIndex(ZdrojakContract.AUTHOR);
		int pubdateIndex = c.getColumnIndex(ZdrojakContract.PUBDATE);
		int linkIndex = c.getColumnIndex(ZdrojakContract.LINK);
		int viewedIndex = c.getColumnIndex(ZdrojakContract.VIEWED);
		
		
		oldView.setTag(R.id.tag_link, c.getString(linkIndex));
		
		TextView title = (TextView) oldView.findViewById(R.id.title);
		title.setText(c.getString(titleIndex));
		
		boolean viewed = c.getInt(viewedIndex) == 1;

		TypedValue tv = new TypedValue();
		ctx.getTheme().resolveAttribute(android.R.attr.textColorPrimary, tv, true);
		title.setTextColor(ctx.getResources().getColor(viewed ? tv.resourceId : R.color.zdrojak_green));

		((TextView) oldView.findViewById(R.id.author)).setText(c
				.getString(authorIndex));

		((TextView) oldView.findViewById(R.id.description)).setText(c
				.getString(descriptionIndex));


		long date = c.getLong(pubdateIndex);
		SimpleDateFormat f = new SimpleDateFormat("d. M.");
		((TextView) oldView.findViewById(R.id.pubdate)).setText(f.format(new Date(date)));
	}

}
