package com.example.zdrojaknotifier;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;

public class UpdateReceiver extends BroadcastReceiver {

	public static final String ALARM_BROADCAST = "alarmBroadcast";
	public static final String UPDATED_TODAY = "updatedToday";
	
	@Override
	public void onReceive(Context ctx, Intent intent) {
		SharedPreferences prefs = ctx.getSharedPreferences(ZdrojakActivity.SHARED_PREFS_NAME, 0);
		
		if(intent.getBooleanExtra(ALARM_BROADCAST, false)){
			prefs.edit().putBoolean(UPDATED_TODAY, false).commit();
		}
		
		if(!prefs.getBoolean(UPDATED_TODAY, false))
			updateData(ctx, prefs);
	}
	
	private void updateData(final Context ctx, final SharedPreferences prefs){
		(new Thread(new Runnable() {
			public void run() {
				ZdrojakRSSHandler handler = new ZdrojakRSSHandler(ctx);
				try {
					handler.updateData();
					prefs.edit().putBoolean(UPDATED_TODAY, true).commit();
				} catch (ZdrojakRSSHandlerException e) {
					e.printStackTrace();
				} catch (RSSParserException e) {
					e.printStackTrace();
				}
			}
		})).start();
	}

}
