package com.example.zdrojaknotifier;

import android.content.ContentUris;
import android.content.ContentValues;
import android.content.Context;
import android.net.Uri;

public class ZdrojakContract {

	public static final String _ID = "_id";
	public static final String TITLE = "title";
	public static final String LINK = "link";
	public static final String DESCRIPTION = "desc";
	public static final String AUTHOR = "author";
	public static final String PUBDATE = "pubdate";
	public static final String VIEWED = "viewed";
	public static final String ADDED = "added";
	

	public static final String AUTHORITY = "com.example.zdrojaknotifier.provider";
	public static final String ARTICLES = "articles";

	public static final Uri CONTENT_URI = Uri.parse("content://" + AUTHORITY);
	public static final Uri CONTENT_URI_ARTICLES = Uri.withAppendedPath(CONTENT_URI, ARTICLES);
	

	public static final String[] PROJECTION = { _ID, TITLE, LINK, DESCRIPTION, AUTHOR, PUBDATE, VIEWED };

	public static final String DEFAULT_SORT_ORDER = _ID + " DESC";
	public static final String SORT_ORDER_PUBDATE = PUBDATE + " DESC";
	

	public static final String MIME_TYPE_ITEM = "vnd.android.cursor.item/vnd.com.example.zdrojaknotifier.article";
	public static final String MIME_TYPE_DIR = "vnd.android.cursor.dir/vnd.com.example.zdrojaknotifier.article";
	
	public static void setViewed(Context ctx, long id, boolean viewed){
		Uri uri = ContentUris.withAppendedId(CONTENT_URI_ARTICLES, id);
		ContentValues values = new ContentValues();
		values.put(VIEWED, viewed);
		ctx.getContentResolver().update(uri, values, null, null);
	}
	
	
	
	// Netýká se content providerů, tohle je Action našeho broadcastu.
	public static final String ACTION_ZDROJAK_UPDATED = "com.example.zdrojaknotifier.action.ZDROJAK_UPDATED";
	public static final String ACTION_LASTVIEW_CHANGED = "com.example.zdrojaknotifier.action.LASTVIEW_CHANGED";
}
