package com.example.zdrojaknotifier;

import java.io.IOException;
import java.io.UnsupportedEncodingException;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.util.EntityUtils;

import android.content.ContentValues;
import android.content.Context;

public class ZdrojakRSSHandler {

	private static final String url = "http://www.zdrojak.cz/rss/clanky/";
	private Context ctx;

	public ZdrojakRSSHandler(Context ctx) {
		this.ctx = ctx;
	}

	public int updateData() throws ZdrojakRSSHandlerException, RSSParserException{
		String rss = getStringData();
		
		RSSParser parser = new RSSParser(rss);
		
		ContentValues[] values = parser.parse();
		
		return ctx.getContentResolver().bulkInsert(ZdrojakContract.CONTENT_URI_ARTICLES, values);
	}

	private String getStringData() throws ZdrojakRSSHandlerException {
		String xml = null;
		try {
			DefaultHttpClient httpClient = new DefaultHttpClient();
			HttpGet get = new HttpGet(url);

			HttpResponse httpResponse = httpClient.execute(get);
			HttpEntity httpEntity = httpResponse.getEntity();
			xml = EntityUtils.toString(httpEntity);

			return xml;
			
		} catch (UnsupportedEncodingException e) {
		} catch (ClientProtocolException e) {
		} catch (IOException e) {
		}
		
		throw new ZdrojakRSSHandlerException();
	}
}
